Skip to content
OpenPostDocs
OpenPostDocs
Image editor

Create a one-time OpenPost Image Editor composer return token

POST/image-editor/return-tokens

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/image-editor/return-tokens" \  -H "Content-Type: application/json" \  -d '{    "constraints": {      "property1": null,      "property2": null    },    "max_selection": 1,    "purpose": "string",    "return_url": "string",    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/CreateImageEditorReturnTokenOutputBody.json",  "expires_at": "string",  "token": "string"}